---
Title: Joining the community
---

import Calendar from '@/components/calendar'
import { Col, Row } from "react-bootstrap";

# Joining the Community

## Charter

The rules for community engagement are covered under the [SOAFEE Charter](/about/charter), we aim to be an open, friendly respectful and collaborative community.  Please refer to the charter for more details. 

## Joining

As outlined in the charter above, there are two main levels of membership available for new members of the SOAFEE SIG

- Voting
- Contributing

A voting member is typically a company that wants to get involved, where as a contributing member is normally an individual who wants to get involved.

<Row>
<Col>

### Joining as a voting member

In order to join the SOAFEE SIG a voting member, your company needs to sign the membership agreement.  Please contact [info@soafee.io](mailto:info@soafee.io) to start the process.  There are currently no fees associated with joining the SOAFEE SIG as a voting member.
</Col>
<Col>

### Participating as a contributing member

You don't need to sign any membership agreement to contribute to the SOAFEE SIG.  All contributions are covered under open source licenses and will reqiqure adhering to [DCO v1.1](https://developercertificate.org/)

</Col>
</Row>
## Slack

The community makes extensive use of Slack for all transient communication.  We are currently using the free tier of slack, so have limited access to features and history.  If you want to create a persistent document or content, please make use of the Google Workspace resource outlined below.

Please use this link to [join the SOAFEE Slack community](https://join.slack.com/t/soafee/shared_invite/zt-12e17668h-DttNpOtyFNi5H1udojYmtg)

Please explore the channels that are of interest to you.  We tend to create a channel that maps to steering committees and working groups.

## Gitlab

All engineering resources including reference implementation, architecture and bluepring specifications are hosted on the [SOAFEE Gitlab](https://gitlab.com/soafee) instance.


## Google Workplace

The SOAFEE project makes use of Google Workplace for meetings, documents and collaboration.  Each signed up member company will be given two @soafee.io accounts, but you don't need to have one of these accounts to collaborate with the SOAFEE community.  We aim to have all documents available read-only to anybody who wants access, there may be errors made by community members when setting up documents, if you have trouble accessing a document, please contact info@soafee.io.  If you would like edit access to documents, please read the section below about joining a workspace group below.

## Groups

There are three main groups that manage access to documents.  Please request to join the group that represents your role within SOAFEE community

| Group Name      | Joining URL |
| --------------- | ----------
| Governing Body  | [GB](https://groups.google.com/a/soafee.io/g/gb)
| Technical Steering Committee | [TSC](https://groups.google.com/a/soafee.io/g/tsc)
| Marketing Steering Committee | [MSC](https://groups.google.com/a/soafee.io/g/msc)


Once you have membership of a group, this should give you edit permissions for shared documents under that function.

## Shared Drives

There are three main shared drives, aligned with the main SOAFEE groups.

__NOTE__: In order to view or edit contents of these shared drives, you first need to request to __join the group__ as outlined above.

| Group Name | Shared Drive |
| ---------- | ------------ |
| Governing Body  | [GB](https://drive.google.com/drive/folders/0AGqsh4Kngv8NUk9PVA)
| Technical Steering Committee | [TSC](https://drive.google.com/drive/folders/0AKB1Up6qx-xRUk9PVA)
| Marketing Steering COmmittee | [MSC](https://drive.google.com/drive/folders/0AK0EE-tDa7f9Uk9PVA)

### Calendar

We maintain a shared calendar that contains all public meetings.

You are able to embed the SOAFEE [ical](https://calendar.google.com/calendar/ical/c_mi011bbj3kuraljg8k92kk8n84%40group.calendar.google.com/public/basic.ics) into your calendar of choice.

__NOTE__ if you are using the embedded ical, it can take time to sync when someone makes a change to the upstream calendar, so if you find yourself alone in a meeting, please check the slack channel or this calendar to see if there has been a change to your meeting.

<Calendar src="Y19taTAxMWJiajNrdXJhbGpnOGs5MmtrOG44NEBncm91cC5jYWxlbmRhci5nb29nbGUuY29t" />
